Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking2
Class EventDecoderIE

    java.lang.Object
      scone.accesstracking2.EventDecoder
          scone.accesstracking2.EventDecoderIE

    public class EventDecoderIE

extends EventDecoder

The methods of this class are called by AccessTrackingMeg. Every message of the meg has its own method to evaluate the received information and to create and change Access events.

Version:
  1.5, 20-Aug-2004
Author:
  Torsten Hass, Harald Weinreich

Field Summary
`protected boolean` | `accessEventExisted`
`protected scone.accesstracking2.BrowserHistory` | `bh`
`protected int` | `browserName`
`protected java.lang.String` | `EMPTYREFERRER`
`protected int` | `MAXHISTORY`
`protected boolean` | `showMessages`

Fields inherited from class scone.accesstracking2.EventDecoder
`BACK, BOOKMARK, BROWSER_FIREFOX, BROWSER_GECKO, BROWSER_IE, EXPLORER, FIREFOX, FORMSUBMIT, FRAGMENT, GECKO, HEURISTIC, LINK, NETSCAPE, NEWFRAME, NEWURL, NEWWINDOW, NEXT, OTHER, RELOAD, SELFLINK, SKIPPED`

Constructor Summary
`EventDecoderIE()`

Method Summary

Methods inherited from class scone.accesstracking2.EventDecoder
`printMsg`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXHISTORY

    protected final int MAXHISTORY

See Also:
  Constant Field Values

### EMPTYREFERRER

    protected final java.lang.String EMPTYREFERRER

See Also:
  Constant Field Values

### bh

    protected scone.accesstracking2.BrowserHistory bh

### browserName

    protected int browserName

### accessEventExisted

    protected boolean accessEventExisted

### showMessages

    protected boolean showMessages

Constructor Detail

### EventDecoderIE

    public EventDecoderIE()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD